Pod::Spec.new do |s|
    s.name             = 'NewsmemorySDK'
    s.version          = '3.15.01'
    s.description      = 'Components and configuration for Tecnavia Newsmemory ePaper solution SDK.'
    s.summary          = 'Components for Tecnavia Newsmemory SDK.'
    s.homepage         = 'https://www.tecnavia.com'
    s.license          = { type: 'Proprietary', file: 'LICENSE' }
    s.author           = { 'Nick Aquilini' => 'naquilini@tecnavia.com' }
    s.source           = { git: 'https://pubgit.newsmemory.com/tecnavia/newsmemory-ios-sdk.git', tag: "v#{s.version}" }
  
    
    s.resources      = 'Other/Resources/{Newsmemory.js,*.bundle,fonts/*.ttf,fonts/*.otf}', 'Other/assets'
    s.platform       = :ios, '11.0'

    

    s.libraries = "sqlite3", "sqlite3.0", "z"
    s.vendored_frameworks = 'Frameworks/*.xcframework'

    s.dependency 'fmt', '~> 6.2.1'
    s.dependency 'Google-Mobile-Ads-SDK', '>= 9.6'
    s.dependency 'GoogleUtilities', '~> 7.11'
    s.dependency 'SDWebImage', '~> 5.11.1'
    s.dependency 'SDWebImageWebPCoder', '~> 0.8.4'
    
    s.framework = "AVFoundation", "AudioToolbox", "CFNetwork", "CoreGraphics", "CoreMedia", "CoreTelephony", "CoreText", "CoreVideo", "Foundation", "GoogleAppMeasurement", "GoogleAppMeasurementIdentitySupport", "GoogleMobileAds", "ImageIO", "JavaScriptCore", "MediaPlayer", "MessageUI", "MobileCoreServices", "QuartzCore", "Security", "StoreKit", "SystemConfiguration", "UIKit", "UserMessagingPlatform", "WebKit"
    s.weak_frameworks = "AdSupport", "LinkPresentation", "SafariServices"

    s.user_target_xcconfig = {
        'CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER' => 'NO',
        'GCC_PREPROCESSOR_DEFINITIONS' => '$(inherited) COCOAPODS=1 $(inherited) SD_WEBP=1 $(inherited) PB_FIELD_32BIT=1 PB_NO_PACKED_STRUCTS=1 PB_ENABLE_MALLOC=1',
        'HEADER_SEARCH_PATHS' => '$(inherited) ${TECNAVIA_FRAMEWORKS_DIR}/BVLinearGradient.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/DoubleConversion.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/DynamicFonts.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/FBReactNativeSpec.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/Newsmemory.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RCT-Folly.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RCTTypeSafety.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RNCAsyncStorage.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RNColorMatrixImageFilters.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RNDateTimePicker.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RNDefaultPreference.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RNDeviceInfo.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RNFS.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RNFastImage.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RNGestureHandler.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RNOpenAppSettings.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RNReanimated.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RNSVG.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RNScreens.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RNShare.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RNTextSize.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RNVectorIcons.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/RNVolumeController.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/React-Core.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/React-CoreModules.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/React-RCTAnimation.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/React-RCTBlob.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/React-RCTImage.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/React-RCTLinking.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/React-RCTNetwork.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/React-RCTSettings.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/React-RCTText.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/React-RCTVibration.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/React-cxxreact.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/React-jsi.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/React-jsiexecutor.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/React-jsinspector.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/React-logger.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/React-perflogger.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/ReactCommon.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/ReactNativeART.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/ReactNativeDarkMode.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/TextToSpeech.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/Yoga.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/glog.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-bridge.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-cookies.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-dfp.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-geolocation.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-html-to-pdf.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-idle-timer.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-image-editor.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-image-marker.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-mail.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-netinfo.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-pager-view.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-pdf.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-photo-view-ex.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-print.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-safe-area-context.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-slider.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-splash-screen.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-sqlite-storage.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-uuid-generator.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-video.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-web-analytics.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-webview.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/react-native-zip-archive.xcframework/** ${TECNAVIA_FRAMEWORKS_DIR}/rn-fetch-blob.xcframework/**',
        'LIBRARY_SEARCH_PATHS' => '$(inherited) ',
        'OTHER_LDFLAGS' => '$(inherited) -ObjC -l"c++" -l"c++abi" -l"iconv" -l"sqlite3" -l"z"',
        'OTHER_SWIFT_FLAGS' => '$(inherited) -D COCOAPODS',
        'TECNAVIA_FRAMEWORKS_DIR' => '${PODS_ROOT}/${TECNAVIA_SDK_VERSION}/Frameworks',
        'TECNAVIA_SDK_VERSION' => 'NewsmemorySDK',
        'USER_HEADER_SEARCH_PATHS' => '$(inherited) ${PODS_ROOT}/libwebp/src',
        'USE_RECURSIVE_SCRIPT_INPUTS_IN_SCRIPT_PHASES' => 'YES',

    }
  
  end
  